<template>
  <el-dialog
    title="预览广告"
    :visible.sync="show"
    width="500px"
    append-to-body
    destroy-on-close
  >
    <video :src="videoPath" class="avatar" controls="controls"></video>
  </el-dialog>
</template>

<script>
export default {
  data() {
    return {
      baseUrl: process.env.VUE_APP_BASE_API,
      show: false,
      videoPath: "",
    };
  },
  methods: {
    openDialog(url) {
      this.videoPath = this.baseUrl + url;
      this.show = true;
    },
  },
};
</script>

<style></style>
